Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface LiteralTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface LiteralTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a literal expression. Use `getKind` to determine the kind of literal. For example:

       value

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Object` | `getValue()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the value of this literal.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getValue

Object getValue()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the value of this literal.

Returns:
  the value of this literal